\section{Summay}
\label{sec:conclusions}

This project studied the task of fully developing and implementing the pick and place task in a 6DOF manipulator. The kinematic structure was extracted and used to solve the inverse and direct kinematic problems. Some tests were performed in order to check the correctness of the approach. Moreover, the main challenge faced at this stage was handling the singularities when solving the IKP for certain positions. The next step consisted on developing the visualization using MATLAB and an additional library. This would show the manipulator performing the the pick and place motion, as well as user controlled movements. 

Then, trajectory generation was studied combining task and joint space, and overcoming the problem of unreachable points. Two types of trajectory where studied, cubic and LSPB. A difficulty solved at this stage was to keep the same end-effector orientation during the approach and depart motion. Finally, the user software was implemented to perform the pick and place task intuitively by setting an initial and final position. Loop movement was also integrated as a feature, and a home position was defined for the manipulator. As an additional feature to the project, a sample motion test was also implemented using Coppelia Sim.

